package com.kohabi.hnbrowser;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

public class CommentAdapter extends ArrayAdapter<Comment> {
	public CommentAdapter(LayoutInflater inflater) {
		super(inflater);
	}

	@Override public View getView(int position, View convertView, ViewGroup parent) {
		if (convertView == null) {
			convertView = inflater.inflate(R.layout.comment_item, null);
		}
		Comment comment = getItem(position);
		TextView body = (TextView) convertView.findViewById(R.id.comment_item_body);
		body.setText(comment.body);
		return convertView;
	}
}
